Page MenuHomePhabricator

wikimedia-portals-build job failing with "node: command not found"
Closed, ResolvedPublic

Description

From https://integration.wikimedia.org/ci/job/wikimedia-portals-build/116/console

/tmp/jenkins3552046589919848028.sh: line 2: node: command not found

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 10:32 AM
debt triaged this task as High priority.Jul 22 2019, 2:48 PM
debt added a subscriber: debt.

Hi @hashar - would you be able to help with this error? It's preventing the wikipedia.org portal from being updated. :( Thanks!

Ah, sorry, the jobs for the wikimedia/portals and wikimedia/portals/deploy repos were upgraded to switch from node6 to node10 in 74bda98fc on 12 June (though note that we got the following comment from @Jdrewniak on Thursday – https://phabricator.wikimedia.org/T211784#5348370).

However, I didn't know of (or touch) the wikimedia-portals-build job, which is still asserting that it's running on node6 and is probably broken due to recent image changes. (Note that this job continued to work for over a month after the switch to node10 testing on the real repo, so the breakage is unrelated to that change.)

I broke the job when I have removed NodeJS / npm from the permanent slaves :-(

https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/524221/
contint: no more include ::packages::javascript by default

Mentioned in SAL (#wikimedia-releng) [2019-07-23T08:00:30Z] <hashar> Restore puppet class contint::packages::javascript on permanent slave ( reverting https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/524221/ ) # T228639

hashar closed this task as Resolved.Jul 23 2019, 8:07 AM
hashar claimed this task.
Notice: /Stage[main]/Contint::Packages::Javascript/Package[nodejs-legacy]/ensure: created
Notice: /Stage[main]/Contint::Packages::Javascript/Package[npm]/ensure: created
Info: /Stage[main]/Contint::Packages::Javascript/Package[npm]: Scheduling refresh of Exec[pin npm]
Notice: /Stage[main]/Contint::Packages::Javascript/Exec[pin npm]/returns: executed successfully
Notice: /Stage[main]/Contint::Packages::Javascript/Exec[pin npm]: Triggered 'refresh' from 1 events
Notice: Applied catalog in 35.76 seconds
$ node --version
v6.11.0
$ npm --version
3.8.3

NodeJS is version 6 since those Jenkins agents are based on Jessie. For NodeJS 10 we would need to migrate the build toward a Docker container or the release pipeline (based on Release Pipeline (Blubber)

Anyway I have rebuild the last build:

https://integration.wikimedia.org/ci/job/wikimedia-portals-build/118/console

Which generated https://gerrit.wikimedia.org/r/#/c/wikimedia/portals/deploy/+/525041/

Sorry about all the troubles.

We should probably migrate this to node10 though. :-)

debt added a comment.Jul 24 2019, 5:25 PM

We should probably migrate this to node10 though. :-)

Should that work be on this ticket or another one?

We should probably migrate this to node10 though. :-)

Should that work be on this ticket or another one?

New one: T228907: Migrate the wikimedia-portals-build timed CI job to node10.

debt added a comment.Jul 24 2019, 9:44 PM

perfect, thanks, @Jdforrester-WMF :)